# What can be done on the page

`POST /browser/sessions/{id}/observe` · Rivier · search

What can be done on the page.

- Scope: search:write
- Mcp: rivier_browse_observe
- Graphql: Mutation.searchBrowserObserve
- Sdk: search.browser.observe
- Cli: search browser observe

## Parameters

- `id` (path, required), string

## Request body

`application/json`

```json
{
  "type": "object",
  "properties": {
    "instruction": {
      "type": "string",
      "maxLength": 2000
    }
  },
  "additionalProperties": false
}
```

## Responses

- `200`: Success
- `400`: The request was malformed
- `401`: No valid credential
- `403`: The credential lacks the scope, origin or address
- `429`: Over the key's rate limit; see Retry-After

## Example

```sh
curl -X POST 'https://api.rivier.ai/browser/sessions/{id}/observe' \
  -H 'Authorization: Bearer $KEY' \
  -H 'Content-Type: application/json' \
  -d '{
  "instruction": "string"
}'
```
